package com.ximai.mes.md.mapper;
import com.ximai.mes.md.domain.MdBrand;

import java.util.List;

/**
 * title:
 * author:ZHT
 * date:2024/1/16
 * description:
 */
public interface MdBrandMapper {
    List<MdBrand> selectMdBrandList(MdBrand mdBrand);

    MdBrand selectMdBrandByBrandId(Long brandId);

    MdBrand checkCodeUnique(MdBrand mdBrand);

    MdBrand checkNameUnique(MdBrand mdBrand);

    int insertMdBrand(MdBrand mdBrand);

    int updateMdBrand(MdBrand mdBrand);

    int deleteMdBrandByBrandId(Long brandId);
}
